## dhcpcanon 0.1.8.2

=== requirements.txt ===
-- index-url https://pypi.python.org/simple/
-e .

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DHCPanonymityprofile.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DHCPanonymityprofile.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DHCPanonymityprofile"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DHCPanonymityprofile"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
dhcpcanon (0.1.8.2-1) unstable; urgency=low

  * Initial upload. Closes: #846281

 -- ju xor <ju@riseup.net>  Fri, 09 Dec 2016 14:07:13 +0000

=== debian/control ===
Source: dhcpcanon
Maintainer: ju xor <ju@riseup.net>
Section: net
Priority: optional
Build-Depends: debhelper,
               dh-python,
               python-all,
               python-docutils,
               python-setuptools,
               python-sphinx,
Standards-Version: 3.9.8
Homepage: https://github.com/juga0/dhcpcanon
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dhcpcanon.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dhcpcanon.git

Package: dhcpcanon
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, ${python:Depends},
         python-ipaddr,
         python-netaddr,
         python-pyroute2,
         python-scapy,
         python-tz
Description: DCHP IPv4 client anonymity profile implementation
 DCHP client implementation of the anonymity profile (RFC7844)
 using Scapy Automaton.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=dhcpcanon
%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. https_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ build/html # HTML generator

=== debian/watch ===
# please also check http://pypi.debian.net/dhcpcanon/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dhcpcanon/dhcpcanon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dhcpcanon 0.7.3

=== Makefile ===
# Makefile for a source distribution of dhcpcanon.
#
# This package is not self-contained and the build products may require other
# dependencies to function; it is given as a reference for distro packagers.

PACKAGE = dhcpcanon
VERSION = $(shell sh version.sh)
DESTDIR =

THISFILE = $(lastword $(MAKEFILE_LIST))
PYTHON = python

# GNU command variables
# see http://www.gnu.org/prep/standards/html_node/Command-Variables.html

INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL)
INSTALL_SCRIPT = $(INSTALL)

# GNU directory variables
# see http://www.gnu.org/prep/standards/html_node/Directory-Variables.html

prefix = /usr/local
exec_prefix = $(prefix)
sbindir = $(exec_prefix)/sbin

datarootdir = $(prefix)/share
datadir = $(datarootdir)
sysconfdir = $(prefix)/etc

docdir = $(datarootdir)/doc/$(PACKAGE)
mandir = $(datarootdir)/man
man8dir = $(mandir)/man8

# for systemd
tmpfilesdir=$(prefix)/lib/tmpfiles.d
systemunitdir=$(prefix)/lib/systemd/system

# for apparmor
apparmordir=$(sysconfdir)/apparmor.d

srcdir = .

SRC_MAN8 = man/dhcpcanon.8
SRC_SCRIPT = sbin/dhcpcanon-script
SRC_DOC = README.md LICENSE
SRC_TMPFILES = tmpfiles.d/dhcpcanon.conf
SRC_UNITFILE = systemd/dhcpcanon.service
SRC_APPARMOR = apparmor.d/sbin.dhcpcanon
SRC_ALL = $(SRC_SCRIPT) $(SRC_DOC) $(SRC_MAN8)

DST_MAN8 = $(SRC_MAN8)
DST_SCRIPT = $(SRC_SCRIPT)
DST_DOC = $(SRC_DOC)
DST_TMPFILES = $(SRC_TMPFILES)
DST_UNITFILE = $(SRC_UNITFILE)
DST_APPARMOR = $(SRC_APPARMOR)
DST_ALL = $(DST_SCRIPT) $(DST_DOC) $(DST_MAN8)

TEST_PY = dhcpcanon-test.py

all: $(DST_ALL) $(THISFILE)

install: all
	@echo $@

	mkdir -p $(DESTDIR)$(sbindir)
	for i in $(DST_SCRIPT); do $(INSTALL_SCRIPT) "$$i" $(DESTDIR)$(sbindir); done
	mkdir -p $(DESTDIR)$(docdir)
	for i in $(DST_DOC); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(docdir); done
	mkdir -p $(DESTDIR)$(man8dir)
	for i in $(DST_MAN8); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(man8dir); done

	if [ -z $(DESTDIR) ]; then python setup.py install; else \
		python setup.py install --root $(DESTDIR) \
		--install-scripts=$(DESTDIR)$(sbindir); fi

	if [ -z $(WITH_SYSTEMD)]; then \
		adduser --system dhcpcanon; \
		mkdir -p $(DESTDIR)$(systemunitdir); \
		for i in $(DST_UNITFILE); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(systemunitdir); done; \
		mkdir -p $(DESTDIR)$(tmpfilesdir); \
		for i in $(DST_TMPFILES); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(tmpfilesdir); done; \
		systemctl enable $(DESTDIR)$(systemunitdir)/dhcpcanon.service; \
		systemd-tmpfiles --create --root=$(DESTDIR)$(tmpfilesdir)/dhcpcanon.conf; \
	fi

	if [ -z $(WITH_APPARMOR)]; then \
		mkdir -p $(DESTDIR)$(apparmordir); \
		for i in $(DST_APPARMOR); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(apparmordir); done; \
		for i in $(DST_APPARMOR); do aa-complain $(DESTDIR)$(apparmordir)/"$$i"; done; \
	fi

uninstall:
	@echo $@
	for i in $(notdir $(DST_SCRIPT)); do rm $(DESTDIR)$(sbindir)/"$$i"; done
	for i in $(notdir $(DST_DOC)); do rm $(DESTDIR)$(docdir)/"$$i"; done
	for i in $(notdir $(DST_MAN8)); do rm $(DESTDIR)$(man8dir)/"$$i"; done
	# it will only work in the case that the file has not been removed
	cat installed.txt | xargs rm -rf
	# systemd files
	for i in $(notdir $(DST_UNITFILE)); do rm $(DESTDIR)$(systemunitdir)/"$$i"; done
	for i in $(notdir $(DST_TMPFILES)); do rm $(DESTDIR)$(tmpfilesdir)/"$$i"; done
	for i in $(notdir $(DST_APPARMOR)); do rm $(DESTDIR)$(apparmordir)/"$$i"; done

clean:
	python setup.py clean
	rm -rf *.pyc build dist dhcpcanon.egg-info

distclean: clean

maintainer-clean: distclean
	rm -f $(DST_MAN8)

pylint: $(SRC_SCRIPT)
	pylint -E $^

check: $(THISFILE)
	for i in $(TEST_PY); do $(PYTHON) "$$i"; done

.PHONY: all install uninstall clean distclean maintainer-clean check pylint

=== docs/Makefile ===
--- 
+++ 
@@ -13,6 +13,16 @@
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+# not in auto-generated conf
+SOURCEDIR       = source
+IMAGEDIRS       = source/images
+BUILDDIRIMAGES  = $(BUILDDIR)/html/_images
+# generate SVG
+PYREVERSE     = pyreverse
+PYREVERSE_FLAGS = -o svg -p dhcpcanon ../dhcpcanon
+# SVG to PDF conversion
+SVG2PDF       = inkscape
+SVG2PDF_FLAGS =
 
 .PHONY: help
 help:
@@ -44,12 +54,36 @@
 	@echo "  coverage   to run coverage check of the documentation (if enabled)"
 	@echo "  dummy      to check syntax errors of document sources"
 
+# Not in auto-generated conf
+FSMSVG := python -c "from dhcpcanon.dhcpcapfsm import DHCPCAPFSM; DHCPCAPFSM.graph(target='>$(IMAGEDIRS)/dhcpcapfsm.svg')";mkdir -p $(BUILDDIRIMAGES);cp $(IMAGEDIRS)/*.svg $(BUILDDIRIMAGES)
+fsmsvg:
+	@echo "Generating FSM SVG"
+	$(FSMSVG)
+
+UMLSVG := $(PYREVERSE) $(PYREVERSE_FLAGS);mv *.svg $(IMAGEDIRS);mkdir -p $(BUILDDIRIMAGES);cp $(IMAGEDIRS)/*.svg $(BUILDDIRIMAGES)
+umlsvg:
+	@echo "Generating UML SVG"
+	$($UMLSVG)
+
+# Pattern rule for converting SVG to PDF
+%.pdf : %.svg
+	$(SVG2PDF) -f $< -A $@
+# Build a list of SVG files to convert to PDFs
+PDFs := $(foreach dir, $(IMAGEDIRS), $(patsubst %.svg,%.pdf,$(wildcard $(SOURCEDIR)/$(dir)/*.svg)))
+# Make a rule to build the PDFs
+images:
+	@echo "Generating PDFs"
+	$(PDFs)
+
 .PHONY: clean
 clean:
 	rm -rf $(BUILDDIR)/*
+	rm -f $(PDFs)
 
 .PHONY: html
 html:
+	$(FSMSVG)
+	$(UMLSVG)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
@@ -128,6 +162,9 @@
 
 .PHONY: latex
 latex:
+	$(FSMSVG)
+	$(UMLSVG)
+	$(PDFs)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
@@ -136,6 +173,9 @@
 
 .PHONY: latexpdf
 latexpdf:
+	$(FSMSVG)
+	$(UMLSVG)
+	$(PDFs)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf

=== debian/changelog ===
dhcpcanon (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Update control version.
  * Add systemd service
  * Package only for python3
  * Change upstream source in watch
  * Add dependency adduser
  * Add systemd to dh
  * Remove add user parameter not needed in postinst
  * Add versions to dependencies
  * Add dependencies for pytest
  * Install apparmor
  * Add apparmor to dh
  * Add pybuild arguments to set main script in /sbin
  * Add dependency resolvconf.

 -- ju xor <ju@riseup.net>  Thu, 14 Sep 2017 00:19:26 +0200

=== debian/control ===
Source: dhcpcanon
Maintainer: ju xor <ju@riseup.net>
Section: net
Priority: optional
Build-Depends: adduser,
               debhelper (>= 9),
               dh-apparmor,
               dh-python,
               dh-systemd,
               pkg-config,
               python3,
               python3-all,
               python3-attr,
               python3-docutils,
               python3-netaddr,
               python3-pip,
               python3-pyroute2,
               python3-pytest,
               python3-scapy,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dhcpcanon.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dhcpcanon.git
Homepage: https://github.com/juga0/dhcpcanon

Package: dhcpcanon
Architecture: all
Depends: adduser,
         macchanger,
         python3-attr,
         python3-netaddr,
         python3-pip,
         python3-pyroute2,
         python3-scapy,
         resolvconf,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: apparmor,
Provides: dhcp-client,
Description: DCHP IPv4 client anonymity profile implementation
 DCHP client implementation of the anonymity profile (RFC7844)
 using Scapy Automaton.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=dhcpcanon
export PYBUILD_INSTALL_ARGS ?= --install-scripts=/sbin
%:
	dh $@ --with python3,sphinxdoc,systemd --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ build/html # HTML generator

## dhcpcanon 0.8.5

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DESTDIR =
 
 THISFILE = $(lastword $(MAKEFILE_LIST))
-PYTHON = python
+PYTHON = python3
 
 # GNU command variables
 # see http://www.gnu.org/prep/standards/html_node/Command-Variables.html
@@ -34,11 +34,13 @@
 man8dir = $(mandir)/man8
 
 # for systemd
-tmpfilesdir=$(prefix)/lib/tmpfiles.d
-systemunitdir=$(prefix)/lib/systemd/system
+tmpfilesdir=/usr/lib/tmpfiles.d
+systemunitdir=/lib/systemd/system
+# for systemd udev
+networkdir=/lib/systemd/network
 
 # for apparmor
-apparmordir=$(sysconfdir)/apparmor.d
+apparmordir=/etc/apparmor.d
 
 srcdir = .
 
@@ -48,6 +50,7 @@
 SRC_TMPFILES = tmpfiles.d/dhcpcanon.conf
 SRC_UNITFILE = systemd/dhcpcanon.service
 SRC_APPARMOR = apparmor.d/sbin.dhcpcanon
+SRC_LINKFILE = systemd/network/90-dhcpcanon.link
 SRC_ALL = $(SRC_SCRIPT) $(SRC_DOC) $(SRC_MAN8)
 
 DST_MAN8 = $(SRC_MAN8)
@@ -56,6 +59,7 @@
 DST_TMPFILES = $(SRC_TMPFILES)
 DST_UNITFILE = $(SRC_UNITFILE)
 DST_APPARMOR = $(SRC_APPARMOR)
+DST_LINKFILE = $(SRC_LINKFILE)
 DST_ALL = $(DST_SCRIPT) $(DST_DOC) $(DST_MAN8)
 
 TEST_PY = dhcpcanon-test.py
@@ -66,17 +70,15 @@
 	@echo $@
 
 	mkdir -p $(DESTDIR)$(sbindir)
-	for i in $(DST_SCRIPT); do $(INSTALL_SCRIPT) "$$i" $(DESTDIR)$(sbindir); done
+	for i in $(DST_SCRIPT); do $(INSTALL_SCRIPT) "$$i" /sbin; done
 	mkdir -p $(DESTDIR)$(docdir)
 	for i in $(DST_DOC); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(docdir); done
 	mkdir -p $(DESTDIR)$(man8dir)
 	for i in $(DST_MAN8); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(man8dir); done
 
-	if [ -z $(DESTDIR) ]; then python setup.py install; else \
-		python setup.py install --root $(DESTDIR) \
-		--install-scripts=$(DESTDIR)$(sbindir); fi
+	$(PYTHON) setup.py install  --record installed.txt $(if $(DESTDIR),--root=$(DESTDIR),--install-scripts=/sbin)
 
-	if [ -z $(WITH_SYSTEMD)]; then \
+	if [ -n "$(WITH_SYSTEMD)" ]; then \
 		adduser --system dhcpcanon; \
 		mkdir -p $(DESTDIR)$(systemunitdir); \
 		for i in $(DST_UNITFILE); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(systemunitdir); done; \
@@ -84,9 +86,16 @@
 		for i in $(DST_TMPFILES); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(tmpfilesdir); done; \
 		systemctl enable $(DESTDIR)$(systemunitdir)/dhcpcanon.service; \
 		systemd-tmpfiles --create --root=$(DESTDIR)$(tmpfilesdir)/dhcpcanon.conf; \
+		systemctl start $(DESTDIR)$(systemunitdir)/dhcpcanon.service; \
+		systemctl status $(DESTDIR)$(systemunitdir)/dhcpcanon.service; \
 	fi
 
-	if [ -z $(WITH_APPARMOR)]; then \
+	if [ -n "$(WITH_SYSTEMD_UDEV)" ]; then \
+		mkdir -p $(DESTDIR)$(networkdir); \
+		for i in $(DST_LINKFILE); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(networkdir); done; \
+	fi
+
+	if [ -n "$(WITH_APPARMOR)" ]; then \
 		mkdir -p $(DESTDIR)$(apparmordir); \
 		for i in $(DST_APPARMOR); do $(INSTALL_DATA) "$$i" $(DESTDIR)$(apparmordir); done; \
 		for i in $(DST_APPARMOR); do aa-complain $(DESTDIR)$(apparmordir)/"$$i"; done; \
@@ -94,15 +103,16 @@
 
 uninstall:
 	@echo $@
-	for i in $(notdir $(DST_SCRIPT)); do rm $(DESTDIR)$(sbindir)/"$$i"; done
-	for i in $(notdir $(DST_DOC)); do rm $(DESTDIR)$(docdir)/"$$i"; done
-	for i in $(notdir $(DST_MAN8)); do rm $(DESTDIR)$(man8dir)/"$$i"; done
+	for i in $(notdir $(DST_SCRIPT)); do rm -f $(DESTDIR)$(sbindir)/"$$i"; done
+	for i in $(notdir $(DST_DOC)); do rm -f $(DESTDIR)$(docdir)/"$$i"; done
+	for i in $(notdir $(DST_MAN8)); do rm -f $(DESTDIR)$(man8dir)/"$$i"; done
 	# it will only work in the case that the file has not been removed
 	cat installed.txt | xargs rm -rf
 	# systemd files
-	for i in $(notdir $(DST_UNITFILE)); do rm $(DESTDIR)$(systemunitdir)/"$$i"; done
-	for i in $(notdir $(DST_TMPFILES)); do rm $(DESTDIR)$(tmpfilesdir)/"$$i"; done
-	for i in $(notdir $(DST_APPARMOR)); do rm $(DESTDIR)$(apparmordir)/"$$i"; done
+	for i in $(notdir $(DST_UNITFILE)); do rm -f $(DESTDIR)$(systemunitdir)/"$$i"; done
+	for i in $(notdir $(DST_TMPFILES)); do rm -f $(DESTDIR)$(tmpfilesdir)/"$$i"; done
+	for i in $(notdir $(DST_APPARMOR)); do rm -f $(DESTDIR)$(apparmordir)/"$$i"; done
+	for i in $(notdir $(DST_LINKFILE)); do rm -f $(DESTDIR)$(networkdir)/"$$i"; done
 
 clean:
 	python setup.py clean

=== requirements.txt ===
# to do not maintain this file, use setup.py
--index-url https://pypi.python.org/simple/

-e .

=== docs/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	@echo "  dummy      to check syntax errors of document sources"
 
 # Not in auto-generated conf
-FSMSVG := python -c "from dhcpcanon.dhcpcapfsm import DHCPCAPFSM; DHCPCAPFSM.graph(target='>$(IMAGEDIRS)/dhcpcapfsm.svg')";mkdir -p $(BUILDDIRIMAGES);cp $(IMAGEDIRS)/*.svg $(BUILDDIRIMAGES)
+FSMSVG := python -c "from dhcpcanon.dhcpcapfsm import DHCPCAPFSM; DHCPCAPFSM.graph(target='$(IMAGEDIRS)/dhcpcapfsm.svg')";mkdir -p $(BUILDDIRIMAGES);cp $(IMAGEDIRS)/*.svg $(BUILDDIRIMAGES)
 fsmsvg:
 	@echo "Generating FSM SVG"
 	$(FSMSVG)
@@ -82,8 +82,8 @@
 
 .PHONY: html
 html:
-	$(FSMSVG)
-	$(UMLSVG)
+	#$(FSMSVG)
+	#$(UMLSVG)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
@@ -163,7 +163,7 @@
 .PHONY: latex
 latex:
 	$(FSMSVG)
-	$(UMLSVG)
+	#$(UMLSVG)
 	$(PDFs)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
@@ -174,7 +174,7 @@
 .PHONY: latexpdf
 latexpdf:
 	$(FSMSVG)
-	$(UMLSVG)
+	#$(UMLSVG)
 	$(PDFs)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."

=== debian/changelog ===
dhcpcanon (0.8.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/watch: Use https protocol

  [ Chris Hofstaedtler ]
  * Move files to /usr
  * Follow scapy API changes (Closes: #1020123)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 31 Dec 2023 14:55:55 +0100

dhcpcanon (0.8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:59:56 +0200

dhcpcanon (0.8.5-2) unstable; urgency=medium

  * Add patch to do not use bootstrap sphinx theme while it has
    lintian warnings
  * d/control, d/links: revert using bootstrap dependencies
  * d/rules: remove proxy as is not needed anymore to build sphinx
    docs without using the Internet
  * d/control: update Standards-Version. No other changes required
  * d/control, py3dist-overrides: solve dbus dependency

 -- ju xor <ju@riseup.net>  Sun, 15 Apr 2018 16:10:15 +0000

dhcpcanon (0.8.5-1) sid; urgency=medium

  * New upstream release.
  * Suggest macchanger (not depends), resolvoconf-admin and systemd
  * Change package description
  * remove unneded echo on adduser.
  * Install .link and move suggests to recommends
  * d/compat, d/control: update to dh 11
  * Remove obsolote dh-systemd
  * Fix dh_python3 dbus warning dependency.
  * Rename docs with the name of the binary package to follow dh_installdocs(1)
  * Add fix sphinxdoc warning to todo
  * Update Debian policy
  * Update Debian repositories to salsa as alioth is moving away
  * Include binaries for the documentation logo and favicon
  * d/control: add sphinx theme build dependency
  * d/gbp.conf: use DEP-14 for git-buildpackage
  * Add d/links to solve embedded-javascript-library lintian W
  * d/control, d/install, d/links: format using wrap-and-sort -ast

 -- ju xor <ju@riseup.net>  Thu, 12 Apr 2018 20:21:03 +0000

=== debian/control ===
Source: dhcpcanon
Maintainer: ju xor <ju@riseup.net>
Section: net
Priority: optional
Build-Depends:
 adduser,
 debhelper (>= 11),
 dh-apparmor,
 dh-python,
 pkg-config,
 python3,
 python3-all,
 python3-attr,
 python3-dbus,
 python3-docutils,
 python3-lockfile,
 python3-netaddr,
 python3-pip,
 python3-pyroute2,
 python3-pytest,
 python3-scapy,
 python3-setuptools,
 python3-sphinx,
Build-Conflicts:
 python-sphinx,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/dhcpcanon
Vcs-Git: https://salsa.debian.org/debian/dhcpcanon.git
Homepage: https://github.com/juga0/dhcpcanon

Package: dhcpcanon
Architecture: all
Depends:
 adduser,
 python3-attr,
 python3-dbus,
 python3-lockfile,
 python3-netaddr,
 python3-pip,
 python3-pyroute2,
 python3-scapy,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Recommends:
 apparmor,
 systemd | resolvconf-admin,
 udev | macchanger,
Provides:
 dhcp-client,
Description: DHCP client disclosing less identifying information
 Python implementation of the DHCP Anonymity Profiles
 (RFC7844) designed for users that
 wish to remain anonymous to the visited network
 minimizing disclosure of identifying information.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=dhcpcanon
export PYBUILD_INSTALL_ARGS ?= --install-scripts=/usr/sbin
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source/ build/html # HTML generator

=== debian/watch ===
# please also check https://pypi.debian.net/dhcpcanon/watch
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dhcpcanon-$1\.tar\.gz/ \
  https://github.com/juga0/dhcpcanon/tags .*/v?(\d\S+)\.tar\.gz
